Subject: Re: [PATCH v3 1/2] [POWERPC] MPC832x_RDB: update dts to use spi, register mmc_spi stub

From: David Gibson <[email-masked]>
Date: Fri, 10 Aug 2007 11:02:17 +1000

On Thu, Aug 09, 2007 at 10:15:44PM +0200, Segher Boessenkool wrote:
> > Hrm... Freescale is using these 'fsl,device-id' properties, I'm
> > guessing they're basically the same thing as the 'cell-index' used in
> > the EMAC binding.
> >
> > We should co-ordinate better on this, if it's to become a
> > convention...
> 
> That means we shouldn't coordinate on this, right?

Heh.  Either one is kind of ugly, I'll grant you.

But, many SoCs do have a notion of device "number", which is relevant
for programming other general control registers in places.  We need to
encode it somehow, and it would be good to have a consistent way of
doing it.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson